# TdApi.OrderInfo (tdlight API 4.0.311 API)
declaration: module: tdlight.api, package: it.tdlight.jni, class: TdApi, class: OrderInfo

Module tdlight.api
Package it.tdlight.jni

# Class TdApi.OrderInfo

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.OrderInfo

Enclosing class:
  TdApi

public static final class TdApi.OrderInfo extends TdApi.Object
Order information.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CONSTRUCTOR`
`String`
`emailAddress`
Email address of the user.
`String`
`name`
Name of the user.
`String`
`phoneNumber`
Phone number of the user.
`TdApi.Address`
`shippingAddress`
Shipping address for this order; may be null.

## Constructor Summary

Constructors
Constructor
Description
`OrderInfo()`
Order information.
`OrderInfo(DataInput input)`
Order information.
`OrderInfo(String name, String phoneNumber, String emailAddress, TdApi.Address shippingAddress)`
Order information.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### name

public String name
Name of the user.

### phoneNumber

public String phoneNumber
Phone number of the user.

### emailAddress

public String emailAddress
Email address of the user.

### shippingAddress

public TdApi.Address shippingAddress
Shipping address for this order; may be null.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  - Constant Field Values

## Constructor Details

### OrderInfo

public OrderInfo()
Order information.

### OrderInfo

public OrderInfo(String name, String phoneNumber, String emailAddress, TdApi.Address shippingAddress)
Order information.

Parameters:
  `name` - String Name of the user.
  `phoneNumber` - String Phone number of the user.
  `emailAddress` - String Email address of the user.
  `shippingAddress` - Address Shipping address for this order; may be null.

### OrderInfo

public OrderInfo(DataInput input) throws IOException
Order information.

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`